#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2022-07-08
# File  : view/inv_opengear_serial_lines
#
# 2023-02-20: moved from ~/local/share/check_mk/... to ~/local/lib/check_mk...
# 2023-06-14: removed declare_invtable_view from view definition on cmk 2.2 (see werk 15493)
#             changed inventory_displayhints import (see werk 15493)
# 2024-05-10: moved back to ~/local/share/check_mk/... from ~/local/lib/check_mk... fixed crash in web.log

from cmk.gui.i18n import _
from cmk.gui.views.inventory.registry import inventory_displayhints

inventory_displayhints.update({
    '.hardware.serial_lines:': {
        'title': _('Serial lines'),
        'keyorder': [
            'index',
            'label',
            'speed', 'databits', 'parity', 'stopbits', 'flowcontrol'
        ],
        'view': 'invseriallines_of_host',
    },
    '.hardware.serial_lines:*.index': {'title': _('Index'), },
    '.hardware.serial_lines:*.label': {'title': _('Label'), },
    '.hardware.serial_lines:*.speed': {'title': _('Speed'), },
    '.hardware.serial_lines:*.databits': {'title': _('Data bits'), },
    '.hardware.serial_lines:*.parity': {'title': _('Parity'), },
    '.hardware.serial_lines:*.stopbits': {'title': _('Stop bits'), },
    '.hardware.serial_lines:*.flowcontrol': {'title': _('Flow control'), },
    '.hardware.serial_lines:*.cts': {'title': _('CTS'), },
    '.hardware.serial_lines:*.dcd': {'title': _('DCD'), },
    '.hardware.serial_lines:*.dtr': {'title': _('DTR'), },
    '.hardware.serial_lines:*.rts': {'title': _('RTS'), },
})
